org.gnome.pango

## Class SizeAttribute

- Object
- - org.freedesktop.bindings.Pointer
  - - org.gnome.glib.Boxed
    - - org.gnome.pango.Attribute
      - - org.gnome.pango.SizeAttribute

-     public final class SizeAttribute
      extends Attribute

  An Attribute that modifies the size of the text it is applied to.
  Since:
    4.0.10
  Author:
    Andrew Cowie

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SizeAttribute(double size)` Create a SizeAttribute.

  - ### Method Summary

    - ### Methods inherited from class org.gnome.pango.Attribute

      `setIndices`

    - ### Methods inherited from class org.freedesktop.bindings.Pointer

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SizeAttribute

          public SizeAttribute(double size)

      Create a SizeAttribute.

      This is equivalent to using FontDescription's `setSize()` when requesting fonts and TextTag's `setSize()` when formatting text in a TextBuffer.

      The SizeAttribute is, indeed, ultimately what powers both these properties.

      Since:
        4.0.10